/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.fabric3.runtime.webapp;

import java.net.URL;
import javax.servlet.ServletContext;

import org.fabric3.host.runtime.HostInfo;

/**
 * @version $Rev: 1636 $ $Date: 2007-10-30 19:23:13 +0000 (Tue, 30 Oct 2007) $
 */
public interface WebappHostInfo extends HostInfo {
    /**
     * Returns the ServletContext associated with this webapp runtime.
     *
     * @return the ServletContext associated with this webapp runtime.
     */
    ServletContext getServletContext();

    /**
     * Returns the default intents file location or null if not configured.
     *
     * @return the default intents file location or null if not configured
     */
    URL getIntentsLocation();
}
